<div class="wrap">
    <div id="wbb-home">
        <h1><?php _e( 'Welcome to Wicked Block Builder', 'wicked-block-builder' ); ?></h1>
        <p class="actions"><a class="add-block" href="<?php echo get_admin_url( null, 'admin.php?page=wicked_block_builder_builder' ); ?>">Add a New Block</a></p>
        <?php if ( ! $is_pro ) : ?>
            <div class="pro-callout">
                <h2><?php _e( 'Get More With Wicked Block Builder Pro', 'wicked-block-builder' ); ?></h2>
                <div class="content-wrapper">
                    <div class="content">
                        <ul>
                            <li><?php _e( 'Repeater', 'wicked-block-builder' ); ?></li>
                            <li><?php _e( 'Conditional logic', 'wicked-block-builder' ); ?></li>
                            <li><?php _e( 'PostSelect component', 'wicked-block-builder' ); ?></li>
                            <li><?php _e( 'TermSelect component', 'wicked-block-builder' ); ?></li>
                            <li><?php _e( 'InnerBlocks component', 'wicked-block-builder' ); ?></li>
                            <li><?php _e( 'Priority support', 'wicked-block-builder' ); ?></li>
                        </ul>
                    </div>
                    <div class="action">
                        <a class="btn accent" href="<?php echo esc_url( $upgrade_url ); ?>" target="_blank">
                            <?php _e( 'Learn More', 'wicked-block-builder' ); ?>
                        </a>
                    </div>
                </div>
            </div>
        <?php endif; ?>
        <h2><?php _e( 'Helpful Resources', 'wicked-block-builder' ); ?></h2>
        <div class="cards">
            <div>
                <div class="with-action">
                    <h3><?php _e( 'Build Your First Block', 'wicked-block-builder' ); ?></h3>
                    <p><?php _e( 'New to Wicked Block Builder?  Check out our guide to building your first block to see how Wicked Block Builder works.', 'wicked-block-builder' ); ?></p>
                    <p class="action">
                        <a class="btn" href="<?php echo esc_url( $guide_url ); ?>" target="_blank">
                            <?php _e( 'View the Guide', 'wicked-block-builder' ); ?>
                        </a>
                    </p>
                </div>
            </div>
            <div>
                <div class="with-action">
                    <h3><?php _e( 'Documentation', 'wicked-block-builder' ); ?></h3>
                    <p><?php _e( 'We’ve put together a comprehensive set of documentation to help you get the most out of Wicked Block Builder.', 'wicked-block-builder' ); ?></p>
                    <p class="action">
                        <a class="btn" href="<?php echo esc_url( $docs_url ); ?>" target="_blank">
                            <?php _e( 'View Documentation', 'wicked-block-builder' ); ?>
                        </a>
                    </p>
                </div>
            </div>
            <div>
                <div class="with-action">
                    <h3><?php _e( 'Videos', 'wicked-block-builder' ); ?></h3>
                    <p><?php _e( 'Check out our YouTube channel for helpful videos and walkthroughs.', 'wicked-block-builder' ); ?></p>
                    <p class="action">
                        <a class="btn" href="<?php echo esc_url( 'https://www.youtube.com/channel/UCuJpUMvnAccoehv4EJfNa7Q/videos' ); ?>" target="_blank">
                            <?php _e( 'View Videos', 'wicked-block-builder' ); ?>
                        </a>
                    </p>
                </div>
            </div>
        </div>
        <?php if ( $is_pro ) : ?>
            <h2><?php _e( 'Settings', 'wicked-block-builder' ); ?></h2>
            <div class="cards">
                <?php do_action( 'wbb_license_settings' ); ?>
            </div>
        <?php endif; ?>
    </div>
</div>
